commit f18667046964759f1fe086ade26829f6ced4fea7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 22 20:52:02 2012 -0700

    xcmiscproto 1.2.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8bdaa79348896ecbf4f69df9773ec4681eb46410
Author: Matt Dew <marcoz@osource.org>
Date:   Sun Oct 2 20:29:17 2011 -0600

    1 - fix the capitalization of the ID attriutes to match either the
         <title> or <funcdef> string it goes with.
    2 - fix any <linkend>'s that were affected by 1.
    3 - any <function> in the docs that has an actual funcdef,
    will become an olink.
    
    Signed-off-by: Matt Dew <marcoz@osource.org>

commit 7252c99f0bdfb560efe980f6f87786f4ccedeccd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Sep 20 20:20:46 2011 -0400

    specs: fix author affiliation
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2d793cc635ca8a20a9ee0c99bcc0337c4f82bd7b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 12 16:54:45 2011 -0400

    docs: use the &fullrelvers; entity to set X11 release information
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4ecb4f1559d2ce1c74a1ff2763b1ad2746961d53
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 11 19:49:54 2011 -0400

    docs: remove <productnumber> which is not used by default
    
    This element is not rendered by default on the title. A template
    customization is required to display it.
    X Window System does not have a product number.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e3affab380afc20a7d202ec40896ad43e65a477e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 8 20:00:00 2011 -0400

    docbook.am: embed css styles inside the HTML HEAD element
    
    Rather than referring to the external xorg.css stylesheet, embed the content
    of the file in the html output produced. This is accomplished by using
    version 1.10 of xorg-xhtml.xsl.
    
    This makes the whole html docs tree much more relocatable.
    In addition, it eliminates xorg.css as a runtime file which makes
    xorg-sgml-doctools a build time only package.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d8e1aee8520fe74d921bef604f2acbb4c0899900
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Sep 7 10:31:04 2011 -0400

    docbook.am: global maintenance update - entities, images and olinking
    
    Adding support in libX11 for html chunking caused a reorg of docbook.am
    as well as the xorg-sgml-doctools masterdb for olinking.
    The parameter img.src.path is added for pdf images.
    A searchpath to the root builddir is added for local entities, if present.
    
    The docbook.am makefile hides all the details and is identical for
    all 22 modules having DocBook documentation. It is included by a thin
    Makefile.am which requires no docbook knowledge.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 905336a989f14dbbcc0c8d1648a2a51724203a09
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 12 17:54:50 2011 -0400

    Install xml versions of specs even if HAVE_XMLTO is false
    
    DocBook/XML input source is also a usefull output format that can be viewed
    with an XML viewer or editor and by some O/S help system.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4179eb64ad35ab425cf00447bff334c387e23306
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 5 16:27:37 2011 -0400

    Install target dbs alongside generated documents
    
    This matches a change in xorg-sgml-docs whereby the masterdb will look for
    the target dbs into the same location as the generated documents.
    
    The target dbs are now installed alongside the generated documents.
    Previously they are installed in $prefix/sgml/X11/dbs alongside masterdb which
    has the potential of installing outside the package prefix and cause
    distcheck to fail when user does not have write permission in this package.
    
    Requires XORG_CHECK_SGML_DOCTOOLS(1.8) which was released 2011-06-11

commit fd4973cb7986e69bf47264430fbd17c58be9d0cd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 27 15:06:18 2011 -0500

    Documentation: add Docbook external references support
    
    When writing technical documentation, it is often necessary to cross
    reference to other information. When that other information is not in the
    current document, additional support is needed, namely <olink>.
    
    A new feature with version 1.7 of xorg-sgml-doctools adds references to
    other documents within or outside this package.
    
    This patch adds technical support for this feature but does not change
    the content of the documentation as seen by the end user.
    
    Each book or article must generate a database containing the href
    of sections that can be referred to from another document. This database
    is installed in DATAROOTDIR/sgml/X11/dbs. There is a requirement that
    the value of DATAROOTDIR for xorg-sgml-doctools and for the package
    documentation is the same. This forms a virtual document tree.
    
    This database is consulted by other documents while they are being generated
    in order to fulfill the missing information for linking.
    Refer to the xorg-sgml-doctools for further technical information.
    
    Co-authored-by: Matt Dew <marcoz@osource.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 485c361562e986efa1cf05d2c70553e99c1b9382
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Feb 25 08:44:47 2011 -0500

    Docbook: change the book id to match the xml file basename
    
    This is required for the up-coming external references support.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 56424da60f0587a0fba8bcbf81536dd043412e87
Author: Paulo Zanoni <pzanoni@mandriva.com>
Date:   Thu Dec 16 13:37:28 2010 -0200

    Use docbookx.dtd version 4.3 for all docs
    
    Signed-off-by: Paulo Zanoni <pzanoni@mandriva.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 357c04268c4801fb17e4f1f495ec113d565b5be2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 9 15:19:09 2010 -0500

    config: HTML file generation: use the installed copy of xorg.css
    
    Currenlty the xorg.css file is copied in each location
    where a DocBook/XML file resides. This produces about
    70 copies in the $(docdir) install tree.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bff39d1e68056ffdf83924e708e55730236655dd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 00:04:11 2010 -0700

    XCMiscProto 1.2.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bd15ca56e689a63832cd6aa63b638fcdbe406b04
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 00:03:21 2010 -0700

    xc-misc.xml: Misc. markup cleanups
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3b999f69545b921738f3d51c55c427a83250ee5f
Author: Matt Dew <matt@osource.org>
Date:   Mon Jun 28 08:46:21 2010 -0400

    specs: convert xc-misc.ms from xorg-docs module to DocBook XML
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4f05216edd9122d82c4a451914ee78a332b6a2e3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Mar 28 19:25:52 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bf6d08091e350fa8069d74129fc8b61c4349314b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Mar 28 19:00:31 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9844fba5c3db9afffd86604db81e76d89da69777
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 22 19:24:48 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit f1c491cb1cd56c7689fefbd8cf9e64b8fd9f2a54
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 16 11:13:30 2009 -0500

    README: file created or updated #24206
    
    Contains a set of URLs to freedesktop.org.

commit bac51967621114c8314339c5db7a876bc9a724f0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 19:45:27 2009 -0500

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 5104b0f31b74fc7b218e2b778f37bee224c80e61
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 18:31:29 2009 -0500

    Makefile.am: INSTALL file is missing or incorrect #24206
    
    The standard GNU file on building/installing  tarball is copied
    using the XORG_INSTALL macro contained in XORG_DEFAULT_OPTIONS
    Add INSTALL target

commit 10b2b3fe9fa6b675219877dd42618f36a7679e5d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 18:11:36 2009 -0500

    configure.ac: deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 7f50daf92ebfb08156b1fe82fcbff3402babd7c5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 15 13:55:25 2009 -0500

    configure.ac: AM_MAINTAINER_MODE missing #24238
    
    This turns off maintainer mode build rules in tarballs.
    Works in conjunction with autogen.sh --enable-maintainer-mode

commit 590a53f771cf585587379442c4f00f8fe161053e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Nov 14 18:26:47 2009 -0500

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 7b89c288bf414de941983071bead012dc5927dcc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 27 09:45:08 2009 +1000

    xcmiscproto 1.2.0

commit 2a29d3058e588b4b12f3540a03ac0b68afb76b40
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 26 14:55:01 2009 +1000

    Rename xcmiscstr.h to xcmiscproto.h for consistency with other modules.
    
    A stub xcmiscstr.h is provided to avoid clients breaking.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b069e32513c91b90fa326cac4f45606e309224f8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 26 12:08:58 2009 +1000

    Remove RCS tags
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9608fe1d17de0beceac42587c6c00b9bc6b18f55
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 27 20:06:28 2009 -0200

    Janitor: Correct make distcheck and dont distribute autogen.sh

commit 71a08b86b37ce7dded10c7f12417d62ee78e486f
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:39:10 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 526ed62ff0ba2dad6f8e81b31695f249e5aacf02
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:54:24 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit e4ab6602688b88ddcbc735cddeb4d13467b45efe
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jul 14 18:56:39 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 8b2a1c812eb535f28a77ca5eec2a1f84fc38ae67
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:39 2005 +0000

    Update package version number for final X11R7 release candidate.

commit d27dc9a0394314ac4612c50c93289adcee371fa3
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:15 2005 +0000

    Update package version number for RC1 release.

commit 7dda031d2e4603dc3492c415326d590d16eefa4d
Author: Eric Anholt <anholt@freebsd.org>
Date:   Tue Aug 2 19:19:40 2005 +0000

    Add basic .cvsignore files for proto modules.

commit 42957fe96031a8d83dfefa0b74f1a876ae485e03
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:57 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 5ebf8724cb808c022a1abab3f694c96df802df14
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat May 21 04:53:26 2005 +0000

    Set version to 1.1.

commit 2007ff0aeeeaafe31711c26fc81d8bc4bc7e8568
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:22:40 2005 +0000

    revert last change, didn't do right thing at all, sorry for the noise

commit c79671f87c3e3d618e0437b9f21b635b6e8c64a3
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:10:19 2005 +0000

    Require automake 1.7 in AM_INIT_AUTOMAKE

commit 8ebcd70260f575777c8ea6bccd0d2dd218c7298b
Author: Josh Triplett <josh@speakeasy.net>
Date:   Wed May 18 07:58:49 2005 +0000

    Add COPYING file for XCMisc.

commit 46fff69a6fd6c930838ace5c7b0c651cb29d6273
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon May 9 18:20:06 2005 +0000

    Change all the protonames from <extension>Ext to <extension>Proto.

commit 092cd91e62ec32afc245ba867398588f6612dab4
Author: Kevin E Martin <kem@kem.org>
Date:   Fri May 6 01:46:32 2005 +0000

    Initial build system files for proto module.

commit 9a46e678b105529eff79d8fbdab377dea66675ac
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:06 2004 +0000

    Merging XORG-CURRENT into trunk

commit 1129bcd2569220ad510fb47a8fae9f2782681a9b
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:31:36 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 7a8949b54c963b4409527fe293899caf88abf392
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:10:54 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 1c32c147d23764ce812421542d96830d131f5a48
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:14 2004 +0000

    readding XFree86's cvs IDs

commit c667023cbe965cc00f292854d36d42c7c01fb77d
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:28 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit bcdb3b050a1b2e36768844d33306ad3c00981367
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:02 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit dcafa1453732ef01df0353bf13fec9f9eb6d738a
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:43 2003 +0000

    XFree86 4.3.0.1

commit 0be0afff8c6ae5acee076e53ff6611873fbbbaca
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:35 2003 +0000

    R6.6 is the Xorg base-line
